Skip to main content
GET
List person journeys

Authorizations

Authorization
string
header
required

Path Parameters

person_id
string
required

The Extole unique profile identifier of this user at Extole.

Query Parameters

ids
string[]

Optional journey ids filter. Will include journeys that match at least one of the ids.

names
string[]

Optional journey names filter. Will include journeys that match at least one of the names.

programs
string[]

Optional program label filter. Will include journeys that match at least one of the programs.

campaign_ids
string[]

Optional campaign id filter. Will include journeys that match at least one of the campaign ids.

containers
string[]

Optional container filter, defaults to all containers. Will include journeys that match at least one of the containers.

data_keys
string[]

Optional filter for existence of specific data keys with non-empty values. Will include journeys that have at least one of the data keys.

data_values
string[]

Optional filter for existence of specific data values. Will include journeys that have at least one of the specified data name-value pair. Valid format is name:value.

offset
integer<int32>
default:0

Optional offset filter, defaults to 0.

limit
integer<int32>
default:100

Optional limit filter, defaults to 100.

key_names
string[]

Optional key names filter. Will include journeys, whose key matches at least one of the key names.

key_values
string[]

Optional key values filter. Will include journeys that have one of the specified keys. Valid format is name:value.

Response

Successful response

campaign_id
string
required

Extole campaign id associated with this journey.

container
string
required

Campaign container the journey belongs to.

created_date
string
required

RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
Example:

"2025-10-24T02:00:00-07:00"

data
object
required

Named data parameters attached to this journey entry.

id
string
required
read-only

Extole-assigned unique identifier for this journey entry.

key
object
required
name
string
required

Name of the journey (program step) the person is on.

program
string
required

Program key associated with this journey.

updated_date
string
required

RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
Example:

"2025-10-24T02:00:00-07:00"